<?php

	session_start ();
	
	if (!isset($_SESSION['nom']) && !isset($_SESSION['password']))
	{  
			header("Location: login.php");   
	}

	header( 'content-type: text/html; charset=utf-8' );
	
	include('database.php');
	include('fonctions.php');
	DB_connexion(); 

	$utilisateur = $_SESSION['nom'] .' ' .$_SESSION['prenom'];
	
?>

<!DOCTYPE html>
<html>
<head>
<style>
table {
    width: 100%;
    border-collapse: collapse;
}

table, td, th {
    border: 1px solid black;
    padding: 5px;
}

th {text-align: left;}



a:link { color: black;
 text-decoration:none; 
} 
a:visited {color: black;
text-decoration:none;}
a:hover {color: black;
text-decoration:none;}
a:active {color: black;
		text-decoration:none;	}

</style>
</head>
<body>

<link rel="stylesheet" href="menu_style.css" type="text/css">

	<div id='cssmenu'>
	<ul>
		<li><a href='home.php'><span>Home</span></a></li>
		<li class='active'><a href='selection_planning_mois.php'><span>Planning</span></a></li>
		<li><a href='selection_gestion_mois.php'><span>Gestion</span></a></li>
		<li><a href='selection_statistique_mois.php'><span>Statistiques</span></a></li>
<?php
		if($_SESSION['nom'] == "admin")
		{ 	
			echo '<li><a href="deplacer_un_rendezvous_admin.php"><span>Déplacer</span></a></li>';
			echo '<li><a href="configuration.php"><span>Configuration</span></a></li>';
		}
		else
		{
			echo '<li><a href="deplacer_un_rendezvous_user.php"><span>Déplacer</span></a></li>';
		}
?>
		<li><a href='change_password.php'><span>Changer password</span></a></li>
		<li><a href='logout.php'><span>Déconnexion</span></a></li>
		<li><a href='#'><span><?php echo $_SESSION['nom'] .' ' .$_SESSION['prenom'] .' connecté' ?></span></a></li>
	</ul>
	</div>
	<br>
	<br>

<?php

	$mois = $_GET['mois'];
	$annee = date('Y');
	//$mois = "2";
	
	
	//echo $mois_actif;
	echo ucfirst($mois) ." " .$annee;
	echo '<br><br>';
	
	//echo "Nous sommes le " .date("d-m-Y");
	date_default_timezone_set('Europe/Paris');
	$ts_du_jour = strtotime(date("d-m-Y"));
	
	
	$table = "reservation" .$annee;
//	$sql = "SELECT * FROM " .$table ." WHERE annee ='$annee' and mois ='$mois' ";	
//	echo $sql;
	
//	$result = mysqli_query($connexion, $sql );
//	if(!$result)
//	{
//		die('Impossible d\'exécuter la requête :' . mysql_error());
//	}

/*	$n = mysqli_num_rows($result);
	echo " ---> " .$n;
	
	$cpt = 0;
	$tab_jour = array();
	$tab_ts = array();
	$tab_cpt_par_semaine = array();
	
	// compte le nombre de reservation par semaine 
	while ($datas = mysqli_fetch_assoc ($result))
	{
		$cpt = 0;
		$tab_jour[] = $datas['jour'];
		$seance1 = $datas['seance1'];
		$seance2 = $datas['seance2'];
		$seance3 = $datas['seance3'];
		$seance4 = $datas['seance4'];
		$seance5 = $datas['seance5'];
		$seance6 = $datas['seance6'];
		$seance7 = $datas['seance7'];
		$seance8 = $datas['seance8'];
		
		if(strlen($seance1) !=0 && $seance1 != "unselect")
		{ $cpt = $cpt + 1;
		}
		if(strlen($seance2) !=0 && $seance2 != "unselect")
		{ $cpt = $cpt + 1;
		}
		if(strlen($seance3) != 0 )
		{ $cpt = $cpt + 1;
		}
		if(strlen($seance4) != 0 )
		{ $cpt = $cpt + 1;
		}
		if(strlen($seance5) != 0 )
		{ $cpt = $cpt + 1;
		}
		if(strlen($seance6) != 0)
		{ $cpt = $cpt + 1;
		}
		if(strlen($seance7) != 0 && $seance7 != "unselect")
		{ $cpt = $cpt + 1;
		}
		if(strlen($seance8) != 0 && $seance8 != "unselect")
		{ $cpt = $cpt + 1;
		}
		
		echo $cpt;
		$tab_cpt_par_semaine[]=$cpt;
	}
	
	for( $i=0; $i < count($tab_jour) ; $i++)		
	{	
         	$tab_ts[] = strtotime($tab_jour[$i]);
			echo $tab_jour[$i]; 
			echo '<br>';
	}
*/	
//////////////////////////////////////////////////////////////////////////	
	
	$ts_du_jour = strtotime(date("d-m-Y"));
		
	$sql = "SELECT * FROM " .$table ." WHERE annee ='$annee' and mois ='$mois' and mode = 'actif' ";	
	mysqli_query($connexion, "SET NAMES 'utf8'");
	$result = mysqli_query($connexion, $sql );
	
	if(!$result)
	{
		die('Impossible d\'exécuter la requête :' . mysql_error());
	}

	$n = mysqli_num_rows($result);
		
	if($n != 0)
	{
			echo '	<div id="list">
					<table align="left" bgcolor="#d5d5d5" border="0" cellpadding="5" cellspacing="1" width="100%">
					<tbody><tr bgcolor="#f1f3f5">
					<th align="center" width="1%">Sem</th>
					<th align="center" width="5%">Date</th>
					<th align="center" width="8%">12H20</th>
					<th align="center" width="8%">12H40</th>
					<th align="center" width="8%">13H</th>
					<th align="center" width="8%">13H20</th>
					<th align="center" width="8%">13H40</th>
					<th align="center" width="8%">14H</th>
					<th align="center" width="8%">14H20</th>
					<th align="center" width="8%">14H40</th>
					<th class="center" width="1%">Réservation</th>
					</tr>';	
	
			while ($datas = mysqli_fetch_assoc ($result))
			{
		     	$id = $datas['id'];
		     	$rendezvous = $datas['rendezvous'];
				$mode = $datas['mode'];
				$jour = $datas['jour'];
		     	$ts = $datas['ts'];
				$semaine = $datas['semaine'];
		     	$seance1 = $datas['seance1'];
				$seance2 = $datas['seance2'];
				$seance3 = $datas['seance3'];
				$seance4 = $datas['seance4'];
				$seance5 = $datas['seance5'];
				$seance6 = $datas['seance6'];
				$seance7 = $datas['seance7'];
				$seance8 = $datas['seance8'];
				
				switch ($jour)
				{
					case "Lundi":
						 $jour_sem = "LUN ";
						 break;
					case "Mardi":
						 $jour_sem = "MAR ";
						 break;
					case "Mercredi":
						 $jour_sem = "MER ";
						 break;						 
					case "Jeudi":
						 $jour_sem = "JEU ";
						 break;
					case "Vendredi":
						 $jour_sem = "VEN ";
						 break;
				} 
				
				//$mois
				$jour_du_mois =  substr($rendezvous, 0, 2);		
				$date = $jour_sem ." " .$jour_du_mois ." " .ucfirst($mois);
			
				echo '
						<tr>
						<td align="center" nowrap="nowrap">'.$semaine.'</td>
						<td align="center" nowrap="nowrap">'.$date.'</td>';		
					
					for( $i=1; $i <= 8 ; $i++)		
					{    
						${'text'.$i} = "seance".$i;
						$val = ${'text'.$i};
						$n = 0;			
						
						$test = strpos($datas[$val], " ");
						if($test != 0)
						{ 	//echo $datas[$val];
							//echo '<br>';
							if($datas[$val] != "creneau fermer" && $datas[$val] != "creneau ouvert")
							{
								if( $_SESSION['nom'] != "admin")
							    {	
									if($ts < $ts_du_jour)
									{
										echo '<td  bgcolor ="#E84A35" align="center">' .$datas[$val]. '</td>';
									}
									else
									{
										echo '<td  bgcolor ="#E84A35" align="center"><a href="supprimer.php?mois='.$mois.'&jour='.$rendezvous.'&horaire=' .$val .'&client='.$datas[$val].'" title="Suppression">' .$datas[$val]. '</td>';
									}
								}
							    //else 
							    //{
							    //  echo '<td  bgcolor ="#E84A35" align="center">' .$datas[$val]. '</td>';
							   // }
							
							    if($_SESSION['nom'] == "admin")
							    {	
									echo '<td  bgcolor ="#E84A35" align="center"><a href="supprimer.php?mois='.$mois.'&jour='.$rendezvous.'&horaire=' .$val .'&client='.$datas[$val].'" title="Suppression">' .$datas[$val]. '</td>';
							    }	
								
							
							}
						}
						
						if($datas[$val] == '')
						{	
							echo '<td bgcolor ="#84E673" align="center"></td>';
						}
						if($datas[$val] == "unselect")
						{ 
							echo '	<td  bgcolor ="#E6BA39" align="center">Inactif</td>';
						}
						if($datas[$val] == "creneau fermer")
						{   echo '<td  bgcolor ="#E6FF39" align="center">Supplement fermé</td>';
						}
						if($datas[$val] == "creneau ouvert")
						{  	echo '<td bgcolor ="#84E673" align="center"></td>';
						}
							
/*						else
						{   
					
							if($datas[$val] == "unselect")
							{ 	if($_SESSION['nom'] == "admin")
								{
									echo '<td  bgcolor ="#E6BA39" align="center"><a href="ouvrir.php?mois='.$mois.'&jour='.$rendezvous.'&horaire=' .$val .'" title="Ouverture d\'un nouveau créneau">Inactif</td>';
							    }   
								else
								{
									 echo '	<td  bgcolor ="#E6BA39" align="center">Inactif</td>';
								}	
							}
							else
							{
								
						       if($datas[$val] == $utilisateur || $_SESSION['nom'] == "admin")
							   {	
									if($ts < $ts_du_jour)
									{
										echo '<td  bgcolor ="#E84A35" align="center">' .$datas[$val]. '</td>';
									}
									else
									{
										echo '<td  bgcolor ="#E84A35" align="center"><a href="supprimer.php?mois='.$mois.'&jour='.$rendezvous.'&horaire=' .$val .'&client='.$datas[$val].'" title="Suppression">' .$datas[$val]. '</td>';
									}
								}
							    else 
							    {
							      echo '<td  bgcolor ="#E84A35" align="center">' .$datas[$val]. '</td>';
							    }
								
							}			
						}*/
					}// for	
						

////////// bloquage si le jour est derriére nous ...	

					
						if($ts >= $ts_du_jour )				
						{		
							echo '
									<td align="center" width="1%">
									<a href="reservation04.php?mois='.$mois.'&jour='.$rendezvous.'">
									<img src="calendar.png" border="0" alt="Réserver" title="Réservation"></a>
									</td>';
						}
						else
						{ 
							echo '<td align="center" width="1%">
								  <img src="delete.png" border="0" alt="impossible" title="impossible">
								  </td>';
						}	
					 
					 
				
			
			}	// while			

		echo '	<tr bgcolor="#f1f3f5">
				<td colspan="11" class="center">&nbsp;</td>
				</tr>
				</tbody>
				</table>
				</div>  ';
	
	}
	else
	{
		echo "Ce mois n'est pas configuré.";
	}
	
	$tab_retour = compteur_reservation($mois);
	$cpt = count($tab_retour);
	echo '<br>';
	echo '<br>';
	echo '<br>';
	echo '<br>';
	if($cpt == 0)
	{
		echo "Actuellement, aucun créneau n'a été réservé.";
	}	
	if($cpt == 1)
	{
		echo "Actuellement, 1 créneau est réservé.";
	}
	if($cpt > 1)
	{
		echo "Actuellement, " .$cpt . " créneaux ont été réservés";
	}
	

?>
</body>
</html>